Bug 416390 - blue border is not fully drawn when I hover a tooltip with playback controls
Summary: blue border is not fully drawn when I hover a tooltip with playback controls
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.17.90
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: Nate Graham
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-17 19:54 UTC by Patrick Silva
Modified: 2020-01-28 21:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments
screenshot (51.05 KB, image/png)
2020-01-17 19:54 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-01-17 19:54:10 UTC
Created attachment 125205 [details]
screenshot

STEPS TO REPRODUCE
1. set global theme to breeze dark in system settings > global theme
2. play a music with Elisa or another player compatible with playback controls
3. hover over the tooltip of your player 

OBSERVED RESULT
blue border of the hovering effect is not fully drawn.
See the attached screenshot.

EXPECTED RESULT
blue border of the hovering effect is fully drawn

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.17.90
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.0
Comment 1 Nate Graham 2020-01-17 20:23:12 UTC
It is fully drawn, but the playback controls are just drawn on top of it. I suppose we could move them in a bit.
Comment 2 Nate Graham 2020-01-17 21:06:17 UTC
Patch: https://phabricator.kde.org/D26739
Comment 3 Nate Graham 2020-01-28 21:08:19 UTC
Git commit 84182a55458802a2ab38ea58d640471b77b33ef3 by Nate Graham.
Committed on 28/01/2020 at 21:07.
Pushed by ngraham into branch 'Plasma/5.18'.

[applets/Task Manager] Refine tooltip highlight effect

Summary:
This patch indents the window thumbnail and album art view by one pixel,
ensuring that the edges of the tooltip effect which is drawn under it are
never completely covered up and improving consistency between contents.
FIXED-IN: 5.18.0

Test Plan:
Just a window thumbnail:
Before: {F7912722}
After: {F7912726}

Player controls + icon:
Before: {F7980456}
After: {F7980448}

Player controls + window thumbnail:
Before: {F7980465}
After: {F7980472}

Player controls + album art
Before: {F7980454}
After: {F7980450}

Reviewers: #plasma, #vdg, filipf, ndavis

Reviewed By: #vdg, filipf, ndavis

Subscribers: trmdi, filipf, ndavis, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D26739

M  +9    -5    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://commits.kde.org/plasma-desktop/84182a55458802a2ab38ea58d640471b77b33ef3